# Variables

A *variable* is an [identifier](identifiers.md) used as an expression.

> **Syntax**
>
> *expression* → *identifier*

A variable must have the same name as a definition in the [scope](./scope.md) that encloses it.
The value of a variable is the value of the corresponding expression in the enclosing scope.
